Package org.eclipse.mat.ui.internal.viewer

## Class RefinedTableViewer

- java.lang.Object
- - org.eclipse.mat.ui.internal.viewer.RefinedResultViewer
  - - org.eclipse.mat.ui.internal.viewer.RefinedTableViewer

    public class RefinedTableViewer
    extends RefinedResultViewer

### Nested Class Summary

Nested Classes
`class` `RefinedTableViewer.TableAdapter`

### Constructor Summary

Constructors
`RefinedTableViewer​(IQueryContext context, QueryResult result, RefinedTable table)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init​(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`

### Methods inherited from class org.eclipse.mat.ui.internal.viewer.RefinedResultViewer

`addContextMenu, contributeToToolBar, dispose, getControl, getQueryResult, getResult, getSelection, setFocus, showDerivedDataColumn`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RefinedTableViewer

    public RefinedTableViewer​(IQueryContext context,
                              QueryResult result,
                              RefinedTable table)

### Method Detail

#### init

    public void init​(Composite parent,
                     MultiPaneEditor editor,
                     AbstractEditorPane pane)

Specified by:
  `init` in class `RefinedResultViewer`